Loading...
Searching...
No Matches
XrdCl::XAttrStatus Struct Reference

Extended attribute operation status. More...

`#include <XrdClXRootDResponses.hh>`

Inheritance diagram for XrdCl::XAttrStatus:
Collaboration diagram for XrdCl::XAttrStatus:

## Public Member Functions

| XAttrStatus (const std::string &name, const XRootDStatus &status)

## Public Attributes

std::string | name
XRootDStatus | status

## Friends

class | FileStateHandler
class | FileSystem

## Detailed Description

Extended attribute operation status.

Definition at line 294 of file XrdClXRootDResponses.hh.

## Constructor & Destructor Documentation

## XAttrStatus()

XrdCl::XAttrStatus::XAttrStatus | ( | const std::string & | name,
|  | const XRootDStatus & | status )

inline

Definition at line 299 of file XrdClXRootDResponses.hh.

:
name( name ), status( status )
{
}
XrdCl::XAttrStatus::status
XRootDStatus status
Definition XrdClXRootDResponses.hh:306
XrdCl::XAttrStatus::name
std::string name
Definition XrdClXRootDResponses.hh:305

References name, and status.

Referenced by XrdCl::XAttr::XAttr(), and XrdCl::XAttr::XAttr().

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## FileStateHandler

friend class FileStateHandler

friend

Definition at line 296 of file XrdClXRootDResponses.hh.

References FileStateHandler.

Referenced by FileStateHandler.

## FileSystem

friend class FileSystem

friend

Definition at line 297 of file XrdClXRootDResponses.hh.

References FileSystem.

Referenced by FileSystem.

## Member Data Documentation

## name

std::string XrdCl::XAttrStatus::name

Definition at line 305 of file XrdClXRootDResponses.hh.

Referenced by XrdCl::XAttr::XAttr(), XrdCl::XAttr::XAttr(), XAttrStatus(), and DoXAttr().

## status

XRootDStatus XrdCl::XAttrStatus::status

Definition at line 306 of file XrdClXRootDResponses.hh.

Referenced by XrdCl::XAttr::XAttr(), XrdCl::XAttr::XAttr(), XAttrStatus(), and DoXAttr().

The documentation for this struct was generated from the following file:

- XrdClXRootDResponses.hh